html,
body {
    position: relative;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    color: #ffffff;
    font-size: 1.5vh;
    font-family: "Poiret One";
}

img {
    pointer-events: none;
}

body {
    overflow-x: hidden;
}

.content-part {
    padding: 5% 20%;
}

h1,
h2,
h3,
h4 {
    font-weight: normal;
}

body {
    background-image: url('img/background.jpg');
    text-align: center;
    background-color: #c2c7a9;
    background-size: contain;
    background-attachment: fixed;
    text-align: center;
    color: #555a3c;
}

#photo-placeholder {
    position: relative;
    width: 100%;
    height: 100%;
}

#photo-placeholder h1 {
    display: flex;
    position: absolute;
    top: 0;
    height: 20%;
    width: 100%;
    font-size: 5rem;
    color: #ffffff;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
}

#cover-photo {
    position: absolute;
    width: 100%;
    height: 70%;
    bottom: 10%;
    left: 0;
    object-fit: contain;
    object-position: center center;
}

#photo-arrow-container {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 10%;
    bottom: 0%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#introduction {
    font-size: 5rem;
}

#content {
    position: relative;
    background-color: #ffffff;
    color: #202504;
    font-size: 2rem;
}

a {
    color: #202504;
}

#about-container {
    background-color: #eef0e4;
}

#when-where,
#about {
    display: flex;
    justify-content: center;
    background-color: #eef0e4;
}

#when-where div,
#about div {
    margin: 5% 5%;
}

#when-where h4,
#about h4 {
    font-family: sans-serif;
    font-size: 2rem;
}

#rsvp {
    display: flex;
    justify-content: center;
}

#rsvp a {
    display: inline-block;
    font-size: 5rem;
    background-color: #c2c7a9;
    color: white;
    text-decoration: none;
    padding: 2rem;
    margin: 5rem;
}

#faq {
    text-align: left;
}

#faq details {
    padding: 1rem;
}

@media (max-aspect-ratio: 1/1) {

    html,
    body {
        font-size: 1vh;
    }

    .content-part {
        padding: 5% 5%;
    }

    #about,
    #when-where {
        flex-direction: column;
    }

    #introduction {
        font-size: 3rem;
    }
}